libosmogb 1.13.1.1-afb4 Osmocom Gb library

Functions | Variables
gprs_bssgp_internal.h File Reference
`#include <osmocom/gprs/gprs_bssgp.h>`

Go to the source code of this file.

## Functions
int | bssgp_rx_rim (struct msgb *msg, struct tlv_parsed *tp, uint16_t bvci)

## Variables
bssgp_bvc_send | bssgp_ns_send
void * | bssgp_ns_send_data

## Function Documentation

## ◆ bssgp_rx_rim()

int bssgp_rx_rim | ( | struct msgb * | msg,
|  | struct tlv_parsed * | tp,
|  | uint16_t | bvci
| ) |  |

References BSSGP_CAUSE_MISSING_MAND_IE, bssgp_parse_rim_pdu(), bssgp_pdu_str(), BSSGP_PDUT_RAN_INFO, BSSGP_PDUT_RAN_INFO_ACK, BSSGP_PDUT_RAN_INFO_APP_ERROR, BSSGP_PDUT_RAN_INFO_ERROR, BSSGP_PDUT_RAN_INFO_REQ, bssgp_prim_cb(), bssgp_rim_ri_name_buf(), bssgp_tx_status(), osmo_bssgp_prim::bvci, bvci, DEBUGP, DLBSSGP, msg, msgb_bssgph, msgb_nsei, osmo_bssgp_prim::nsei, nsei, osmo_bssgp_prim::oph, OSMO_ASSERT, osmo_prim_init(), bssgp_normal_hdr::pdu_type, PRIM_BSSGP_RIM_PDU_TRANSFER, PRIM_OP_INDICATION, osmo_bssgp_prim::rim_pdu, bssgp_ran_information_pdu::routing_info_dest, bssgp_ran_information_pdu::routing_info_src, SAP_BSSGP_RIM, osmo_bssgp_prim::tp, and osmo_bssgp_prim::u.

Referenced by bssgp_rx_sign().

## Variable Documentation

## ◆ bssgp_ns_send

bssgp_bvc_send bssgp_ns_send
| extern

Referenced by _bssgp_tx_dl_ud(), bssgp_set_bssgp_callback(), bssgp_tx_bvc_block(), bssgp_tx_bvc_unblock(), bssgp_tx_fc_bvc(), bssgp_tx_fc_bvc_ack(), bssgp_tx_fc_ms(), bssgp_tx_flush_ll_ack(), bssgp_tx_llc_discarded(), bssgp_tx_paging(), bssgp_tx_ra_capa_upd(), bssgp_tx_resume(), bssgp_tx_resume_ack(), bssgp_tx_resume_nack(), bssgp_tx_rim(), bssgp_tx_rim_encoded(), bssgp_tx_simple_bvci(), bssgp_tx_status(), bssgp_tx_suspend(), bssgp_tx_suspend_ack(), bssgp_tx_suspend_nack(), bssgp_tx_ul_ud(), common_tx_radio_status2(), and tx_bvc_reset_nsei_bvci().

## ◆ bssgp_ns_send_data

void* bssgp_ns_send_data
| extern

Referenced by _bssgp_tx_dl_ud(), bssgp_set_bssgp_callback(), bssgp_tx_bvc_block(), bssgp_tx_bvc_unblock(), bssgp_tx_fc_bvc(), bssgp_tx_fc_bvc_ack(), bssgp_tx_fc_ms(), bssgp_tx_flush_ll_ack(), bssgp_tx_llc_discarded(), bssgp_tx_paging(), bssgp_tx_ra_capa_upd(), bssgp_tx_resume(), bssgp_tx_resume_ack(), bssgp_tx_resume_nack(), bssgp_tx_rim(), bssgp_tx_rim_encoded(), bssgp_tx_simple_bvci(), bssgp_tx_status(), bssgp_tx_suspend(), bssgp_tx_suspend_ack(), bssgp_tx_suspend_nack(), bssgp_tx_ul_ud(), common_tx_radio_status2(), and tx_bvc_reset_nsei_bvci().